AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AwsCognitoOAuthOpts

## Index

### Properties

- domain
- options
- redirectSignIn
- redirectSignOut
- responseType
- scope
- urlOpener

## Properties

### domain

domain: string

- Defined in auth/src/types/Auth.ts:105

### Optional options

options: object

- Defined in auth/src/types/Auth.ts:110

### redirectSignIn

redirectSignIn: string

- Defined in auth/src/types/Auth.ts:107

### redirectSignOut

redirectSignOut: string

- Defined in auth/src/types/Auth.ts:108

### responseType

responseType: string

- Defined in auth/src/types/Auth.ts:109

### scope

scope: Array<string>

- Defined in auth/src/types/Auth.ts:106

### Optional urlOpener

urlOpener: function

- Defined in auth/src/types/Auth.ts:111

#### Type declaration

- - (url: string, redirectUrl: string): Promise<any>

  - #### Parameters

    - ##### url: string

    - ##### redirectUrl: string

    #### Returns Promise<any>